Capture The Phone API

These endpoints return JSON and may be used freely at EMF Camp to build whatever you like. Try to keep requests at 1 per second or less.

GET https://capturethephone.co.uk/api/leaderboard/public

This endpoint will return the current leaderboard.

{
  "mostUniqueCapturesPlayer": null || {
    "name": "Bright Pink Camel",
    "registeredFromNumber": "123456"
  },
  "mostCapturesOverallPlayer": null || {
    "name": "Jolly Yellow Badger",
    "registeredFromNumber": "123456"
  },
  "playerStats": [
    {
      "name": "Jolly Yellow Badger",
      "registeredFromNumber": "123456",
      "position": 1,
      "uniqueCaptures": 25,
      "totalCaptures": 37,
      "firstCapture": "12345",
      "latestCapture": "6789",
      "periods": {
        "uniqueCapturesWithin1Hour": 1,
        "uniqueCapturesWithin12Hours": 1,
        "uniqueCapturesWithin24Hours": 1,
        "totalCapturesWithin1Hour": 1,
        "totalCapturesWithin12Hours": 1,
        "totalCapturesWithin24Hours": 1
      }
    }
    ...
  ]
}

GET https://capturethephone.co.uk/api/game/mappins

This endpoint will return all phone pins on the map that can be used to interact with the game

[
  {
    "lat": 52.042964,
    "long": -2.375015,
    "name": "Glastonledburyshire-on-Severn",
    "number": "4200",
    "uniquePlayers": 0,
    "totalCaptures": 0,
    "firstCapturingPlayer": null || "Jolly Yellow Badger",
    "latestCapturingPlayer": null || "Jolly Yellow Badger"
  }
  ...
]